
Redmine - Defect #12063

Not send email notifications with html

2012-10-10 18:25 - Mario Montes

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version:  

Description

I have the Redmine with:

Environment:

  Redmine version                          2.1.2.devel

  Ruby version                             1.8.7 (x86_64-linux)

  Rails version                            3.2.8

  Environment                              production

  Database adapter                         MySQL

Redmine plugins:

  no plugin installed

 I config the notifications without HTML works correctly, but with HTML it does not send.

History

#1 - 2012-10-10 19:17 - Jean-Philippe Lang

- Resolution set to Cant reproduce

Could you have a look at your log file please.

#2 - 2012-10-11 00:29 - Mario Montes

In order to send log I have returned to activate the HTML option and peculiarly now it works. I have to say that it updates from version 1.2.3.

This is the log

Started GET "/admin/test_email" for 2.139.245.137 at Wed Oct 10 16:25:39 -0600 2012

Processing by AdminController#test_email as HTML

   (0.2ms)  SELECT MAX(`settings`.`updated_on`) AS max_id FROM `settings` 

  User Load (0.2ms)  SELECT `users`.* FROM `users` WHERE `users`.`type` IN ('User', 'AnonymousUser') AND `user

s`.`id` = ? AND (users.status = 1) LIMIT 1  [["id", 1]]

  Current user: syci (id=1)

  Rendered mailer/test_email.text.erb within layouts/mailer (0.7ms)

  Rendered mailer/test_email.html.erb within layouts/mailer (0.8ms)

Sent mail to projects@syci.es (76ms)

Date: Wed, 10 Oct 2012 16:25:40 -0600

From: info@syci.es

To: projects@syci.es

Message-ID: <5075f5e410616_604a3ffbc171514082688@box578.bluehost.com.mail>

Subject: Redmine test

Mime-Version: 1.0

Content-Type: multipart/alternative;

 boundary="--==_mimepart_5075f5e436a6_604a3ffbc17151408233b";

 charset=UTF-8

Content-Transfer-Encoding: 7bit

X-Mailer: Redmine

X-Auto-Response-Suppress: OOF

X-Redmine-Site: Syci Projects

Auto-Submitted: auto-generated

X-Redmine-Host: projects.syci.es

List-Id: <info.syci.es>
----==_mimepart_5075f5e436a6_604a3ffbc17151408233b

Date: Wed, 10 Oct 2012 16:25:40 -0600

Mime-Version: 1.0

Content-Type: text/plain;

 charset=UTF-8

Content-Transfer-Encoding: quoted-printable

Content-ID: <5075f5e48c39_604a3ffbc171514082433@box578.bluehost.com.mail>

Syci: Projects Manager

http://www.syci.es

This is a test email sent by Redmine.

Redmine URL: http://projects.syci.es/

-- =

You have received this notification because you have either subscribed to=

 it, or are involved in it.

To change your notification preferences, please click here: http://projec=

ts.syci.es/my/account

-

Usted ha recibido esta notificaci=C3=B3n porque est=C3=A1 subscrito a ell=

a, o est=C3=A1 involucrado.

Para cambiar las preferencias de las notificaciones, por favor haga click=

 aqu=C3=AD: http://projects.syci.es/my/account

----==_mimepart_5075f5e436a6_604a3ffbc17151408233b

Date: Wed, 10 Oct 2012 16:25:40 -0600

Mime-Version: 1.0

Content-Type: text/html;

 charset=UTF-8

Content-Transfer-Encoding: quoted-printable

Content-ID: <5075f5e4deb2_604a3ffbc171514082562@box578.bluehost.com.mail>

<html>

<head>

<style>

body {

  font-family: Verdana, sans-serif;

  font-size: 0.8em;

  color:#484848;

}

h1, h2, h3 { font-family: "Trebuchet MS", Verdana, sans-serif; margin: 0p=

x; }

h1 { font-size: 1.2em; }

h2, h3 { font-size: 1.1em; }

a, a:link, a:visited { color: #2A5685;}

a:hover, a:active { color: #c61a1a; }

a.wiki-anchor { display: none; }

hr {

  width: 100%;

  height: 1px;

  background: #ccc;

  border: 0;

}

.footer {

  font-size: 0.8em;

  font-style: italic;

}

</style>

</head>

<body>

<span class=3D"header"><p>Syci: Projects Manager<br /><a class=3D"externa=

l" href=3D"http://www.syci.es">http://www.syci.es</a></p></span>

<p>This is a test email sent by Redmine.<br />

Redmine URL: <a href=3D"http://projects.syci.es/">http://projects.syci.es=

/</a></p>

<hr />

<span class=3D"footer"><p>You have received this notification because you=

 have either subscribed to it, or are involved in it.<br />To change your=

 notification preferences, please click here: <a class=3D"external" href=3D=

"http://projects.syci.es/my/account">http://projects.syci.es/my/account</=

a><br />-<br />Usted ha recibido esta notificaci=C3=B3n porque est=C3=A1 =

subscrito a ella, o est=C3=A1 involucrado.<br />Para cambiar las preferen=

cias de las notificaciones, por favor haga click aqu=C3=AD: <a class=3D"e=
xternal" href=3D"http://projects.syci.es/my/account">http://projects.syci=

.es/my/account</a></p></span>

</body>

</html>

----==_mimepart_5075f5e436a6_604a3ffbc17151408233b--

Redirected to http://projects.syci.es/settings/edit?tab=notifications

Completed 302 Found in 421ms (ActiveRecord: 0.3ms)

Started GET "/settings/edit?tab=notifications" for 2.139.245.137 at Wed Oct 10 16:25:40 -0600 2012

Processing by SettingsController#edit as HTML

  Parameters: {"tab"=>"notifications"}

   (0.2ms)  SELECT MAX(`settings`.`updated_on`) AS max_id FROM `settings` 

  User Load (0.9ms)  SELECT `users`.* FROM `users` WHERE `users`.`type` IN ('User', 'AnonymousUser') AND `user

s`.`id` = ? AND (users.status = 1) LIMIT 1  [["id", 1]]

  Current user: syci (id=1)

  Rendered settings/_general.html.erb (9.6ms)

  Rendered settings/_display.html.erb (15.2ms)

  Rendered settings/_authentication.html.erb (6.6ms)

  Role Load (80.7ms)  SELECT `roles`.* FROM `roles` WHERE `roles`.`builtin` = 0 ORDER BY roles.position ASC

  Rendered settings/_projects.html.erb (89.3ms)

  IssueCustomField Load (1.4ms)  SELECT `custom_fields`.* FROM `custom_fields` WHERE `custom_fields`.`type` IN

 ('IssueCustomField')

  Tracker Load (0.4ms)  SELECT `trackers`.* FROM `trackers` ORDER BY position

  Rendered queries/_columns.html.erb (9.2ms)

  Rendered settings/_issues.html.erb (14.8ms)

  Rendered settings/_notifications.html.erb (11.5ms)

  Rendered settings/_mail_handler.html.erb (1.9ms)

  IssueStatus Load (49.8ms)  SELECT `issue_statuses`.* FROM `issue_statuses` 

  TimeEntryActivity Load (0.9ms)  SELECT `enumerations`.* FROM `enumerations` WHERE `enumerations`.`type` IN (

'TimeEntryActivity') AND `enumerations`.`project_id` IS NULL AND `enumerations`.`active` = 1 ORDER BY enumerat

ions.position ASC

  Rendered settings/_repositories.html.erb (64.4ms)

  Rendered common/_tabs.html.erb (221.5ms)

  Rendered settings/edit.html.erb within layouts/admin (222.3ms)

  Rendered admin/_menu.html.erb (5.4ms)

  UserPreference Load (27.4ms)  SELECT `user_preferences`.* FROM `user_preferences` WHERE `user_preferences`.`

user_id` = 1 LIMIT 1

  SQL (40.7ms)  SELECT `members`.`id` AS t0_r0, `members`.`user_id` AS t0_r1, `members`.`project_id` AS t0_r2,

 `members`.`created_on` AS t0_r3, `members`.`mail_notification` AS t0_r4, `projects`.`id` AS t1_r0, `projects`

.`name` AS t1_r1, `projects`.`description` AS t1_r2, `projects`.`homepage` AS t1_r3, `projects`.`is_public` AS

 t1_r4, `projects`.`parent_id` AS t1_r5, `projects`.`created_on` AS t1_r6, `projects`.`updated_on` AS t1_r7, `

projects`.`identifier` AS t1_r8, `projects`.`status` AS t1_r9, `projects`.`lft` AS t1_r10, `projects`.`rgt` AS

 t1_r11, `roles`.`id` AS t2_r0, `roles`.`name` AS t2_r1, `roles`.`position` AS t2_r2, `roles`.`assignable` AS 

t2_r3, `roles`.`builtin` AS t2_r4, `roles`.`permissions` AS t2_r5, `roles`.`issues_visibility` AS t2_r6 FROM `

members` LEFT OUTER JOIN `projects` ON `projects`.`id` = `members`.`project_id` LEFT OUTER JOIN `member_roles`

 ON `member_roles`.`member_id` = `members`.`id` LEFT OUTER JOIN `roles` ON `roles`.`id` = `member_roles`.`role

_id` WHERE `members`.`user_id` = 1 AND (projects.status<>9) ORDER BY projects.name

  Rendered layouts/base.html.erb (88.3ms)

Completed 200 OK in 326ms (Views: 117.0ms | ActiveRecord: 202.5ms)

#3 - 2012-10-12 09:29 - Jean-Philippe Lang

- Status changed from New to Closed

OK, thanks.
